{% extends 'home.html' %}
{% block content %}
    <br>

    <h1 class="text-center">Employees</h1>
    <br>
    {% with messages = get_flashed_messages(with_categories=true) %}
    {% if messages %}
        <ul class="text-center text-danger" class=flashes>
            {% for category, message in messages %}
                {% if category == 'error' %}
                <div class="alert alert-danger" role="alert">
                    {{ message }}
                </div>
                {% elif category == 'success' %}
                    <div class="alert alert-success" role="alert">
                        {{ message }}
                    </div>
                {% endif %}
            {% endfor %}
        </ul>
    {% endif %}
    {% endwith %}
    <a href="{{ url_for('add_employee') }}" class="btn btn-success" class="text-right" id="add employee">Add employee</a>
    <br>
    <br>
    Sort by date:
    <div class="text-left">
    <form action="/employees" method="POST">
        <label>From</label> <input type="date" id="date_from" name="date_from" value="{{ date_from }}" max="{{ today }}">
        <label>by</label> <input type="date" id="date_by" name="date_by" value="{{ date_by }}" max="{{ today }}">
        <input id="submit" type="submit" class="btn btn-primary" value="Search">
    </form>
    </div>
    <div>
        {% with messages = get_flashed_messages(with_categories=true) %}
        {% if messages %}
            <ul class="text-center text-danger" class=flashes>
                {% for category, message in messages %}
                    {% if category == 'error-filter' %}
                    <div class="alert alert-danger" role="alert">
                        {{ message }}
                    </div>
                    {% endif %}
                {% endfor %}
            </ul>
        {% endif %}
        {% endwith %}
    </div>
    <br>
    <br>
    {% if employees %}
        <div class="text-center">
    <table class="table table-striped table-bordered table-hover">
        <thead>
            <tr>
                <th scope="col">Name</th>
                <th scope="col">Department</th>
                <th scope="col">Salary</th>
                <th scope="col">Date of birth</th>
                <th scope="col" class="text-secondary">Edit</th>
                <th scope="col" class="text-danger">Delete</th>
            </tr>
        </thead>
        <tbody>
            {% for employee in employees %}
            <tr>
                <td><a name="{{ employee.name }}" href="{{ url_for('employee_page', employee_id=employee.id) }}">{{ employee.name }}</a></td>
                <td><a{% if employee.department.id %}
                        href="{{ url_for('department_page', department_id=employee.department.id) }}{% endif %}">
                    {% if employee.department.name %}
                    {{ employee.department.name }}
                    {% else %}
                    No department
                    {% endif %}
                </a></td>
                <td> ${{ employee.salary|round }}</td>
                <td> {{ employee.date_of_birth|dateformat }}</td>
                <td id="edit {{ employee.name }}" class="text-secondary"><a href="{{ url_for('edit_employee', employee_id=employee.id) }}" class="btn btn-warning"><svg width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-pencil" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                <path fill-rule="evenodd" d="M12.146.146a.5.5 0 0 1 .708 0l3 3a.5.5 0 0 1 0 .708l-10 10a.5.5 0 0 1-.168.11l-5 2a.5.5 0 0 1-.65-.65l2-5a.5.5 0 0 1 .11-.168l10-10zM11.207 2.5L13.5 4.793 14.793 3.5 12.5 1.207 11.207 2.5zm1.586 3L10.5 3.207 4 9.707V10h.5a.5.5 0 0 1 .5.5v.5h.5a.5.5 0 0 1 .5.5v.5h.293l6.5-6.5zm-9.761 5.175l-.106.106-1.528 3.821 3.821-1.528.106-.106A.5.5 0 0 1 5 12.5V12h-.5a.5.5 0 0 1-.5-.5V11h-.5a.5.5 0 0 1-.468-.325z"/>
                </svg></a>
                </td>
                <td>
                    <a id="delete {{ employee.name }}" href="{{ url_for('delete_employee', employee_id=employee.id) }}" class="btn btn-danger" role="button" onclick="return confirm('Are You sure You want to delete {{ employee.name }} employee from {{ employee.department.name }} department?')"><svg width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-person-x-fill" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
  <path fill-rule="evenodd" d="M1 14s-1 0-1-1 1-4 6-4 6 3 6 4-1 1-1 1H1zm5-6a3 3 0 1 0 0-6 3 3 0 0 0 0 6zm6.146-2.854a.5.5 0 0 1 .708 0L14 6.293l1.146-1.147a.5.5 0 0 1 .708.708L14.707 7l1.147 1.146a.5.5 0 0 1-.708.708L14 7.707l-1.146 1.147a.5.5 0 0 1-.708-.708L13.293 7l-1.147-1.146a.5.5 0 0 1 0-.708z"/>
</svg></a>
                </td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
        </div>
{% endif %}
{% endblock %}

